package com.huatek.busi.dto.curve;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class IecBydworkParamPointDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;

    private String siteId;

    private String transformerId;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    public IecBydworkParamPointDto() {}

    public IecBydworkParamPointDto(String siteId, String transformerId, LocalDate day, int limit) {
        super();
        this.siteId = siteId;
        this.transformerId = transformerId;
        this.startTime = day.atStartOfDay();
        this.endTime = day.plusDays(1).atStartOfDay();
        this.setPage(1);
        this.setLimit(limit);
    }
}